using PARR.DAL.Models;
using PARR.DAL.Services.Interfaces.Base;

namespace PARR.DAL.Services.Interfaces
{
    public interface IHostService : IBaseService<Host>
    {
        Task<Host?> GetHostWithAppsByIpAsync(string ip);

        Task<Host?> GetByIpAsync(string ip);
        Task<Host?> GetHostWithAppsByEkAsync(string ek);
        Task<Host?> GetByEkAsync(string ek);
    }
}
